#!/bin/sh
#

# If LANG is empty, set C to it.
: ${LANG=C}

# language part of LANG
LANG_LANG=`expr $LANG : '\([^_]*\)'`

# localized help file
HELP_FILE=/usr/lib/xyaku/help.$LANG_LANG

if [ -f $HELP_FILE ]
then
	cat $HELP_FILE
else
	cat <<EOF
*** Welcome to xyaku ***
 
xyaku is an English-Japanese translation program and more.
Furthermore, xyaku is yet another Web search engine front-end,
and yet another search front-end through dictionary.
 
xyaku works as follows,
it invokes an add-in commands by specified key combinations.
Then, xyaku sends the contents of X selection buffer(*) into add-in's stdin,
and receives the output from the add-in command (from add-in's stdout).
Finally, xyaku shows the result on a pop-up window.
(Or, when xyaku works as a Web search engine front-end, it's up to Mozilla to show the result.)
 
(*)If you are not familiar with X selection buffer, you could imagine something like clipboard.
 
You can see addin/ADDIN.txt about standard add-in commands.
EOF
fi

# a kind of kludge...
sleep 1

